MacellanMacellan SuperApp
WaasKullanıcıKayıt

Linkleme

  • Bu servis ile Macellan SuperApp'te kayıtlı ancak cüzdanınızda kayıtlı olmayan kullanıcıyı linkleme işlemi için kullanabilirsiniz. OTP işleminden sonra çağrılmalıdır.
POST
/waas/integration/users/register/link-existing-user

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

phone*string

Kullanıcı telefon bilgisi (E.164 Format)

verify_id*integer

Telefona ait OTP Doğrulama id bilgisi

{
  "phone": "+905231113344",
  "verify_id": 1
}

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.altpay.dev/waas/integration/users/register/link-existing-user" \  -H "Content-Type: application/json" \  -d '{    "phone": "+905231113344",    "verify_id": 1  }'
{
  "data": {
    "mapping": {
      "id": "8b5ac43a-20ce-4987-a739-d8a7ee480eaa",
      "wallet_id": 1,
      "is_active": true,
      "created_at": "2019-08-24T14:15:22Z"
    },
    "id": "25809faf-9f21-40c8-bebe-3dd4e343b446",
    "first_name": "AB****",
    "last_name": "CD****",
    "email": "ab*****@test.com",
    "phone": "90***********",
    "locale": "tr"
  }
}
{
  "message": "Unauthenticated"
}
{
  "message": "string"
}
{
  "message": "string"
}